# Text to speech with timestamps
Source: https://docs.mserve.ai/docs/api-reference/voice/post-text-to-speech-voice_id-with-timestamps

Method: POST /elevenlabs/v1/text-to-speech/{voice_id}/with-timestamps
Base URL: https://api.mserve.ai

```json
{
  "path": "/elevenlabs/v1/text-to-speech/{voice_id}/with-timestamps",
  "method": "POST",
  "summary": "Text to speech with timestamps",
  "operationId": "el_tts_ts_elevenlabs_v1_text_to_speech__voice_id__with_timestamps_post",
  "parameters": [
    {
      "name": "voice_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "title": "Voice Id"
      }
    },
    {
      "name": "authorization",
      "in": "header",
      "required": false,
      "schema": {
        "type": "string",
        "default": "",
        "title": "Authorization"
      }
    },
    {
      "name": "xi-api-key",
      "in": "header",
      "required": false,
      "schema": {
        "type": "string",
        "default": "",
        "title": "Xi-Api-Key"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful Response",
      "content": {
        "application/json": {
          "schema": {}
        }
      }
    },
    "422": {
      "description": "Validation Error",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/HTTPValidationError"
          }
        }
      }
    }
  },
  "tags": [
    "Voice"
  ]
}
```